
VIRTUAL CREDIT CARD - Bug #15274

Android [TREATS] [TREATS Point] tambah voucher got crash

19 December 2022 04:27 PM - ilham ilham

Status: Closed Start date: 19 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

User : ntbsec05

step :

login

slide kartu kredit

tap kartu

tap My TREATS

tap REDEEM REWARD TREATS

actual :

got crash M2U ID Stopping

expected : not crash

History

#1 - 19 December 2022 04:30 PM - ilham ilham

- Subject changed from Android [TREATS] [REDEEM REWARD TREATS] after tambah voucher Point and tambah voucher Miles got crash to Android

[TREATS] [REDEEM REWARD TREATS] tambah voucher Miles got crash

ilham ilham wrote:

User : ntbsec05

step :

login

slide kartu kredit

tap kartu

tap My TREATS

tap REDEEM REWARD TREATS

 

tap Miles

Tap Tambah

actual :

got crash M2U ID Stopping

expected : not crash
#2 - 19 December 2022 04:33 PM - hsulynn pang

- Subject changed from Android [TREATS] [REDEEM REWARD TREATS] tambah voucher Miles got crash to Android [TREATS] [TREATS Point]

tambah voucher Miles got crash

#3 - 19 December 2022 04:52 PM - hsulynn pang

- Subject changed from Android [TREATS] [TREATS Point] tambah voucher Miles got crash to Android [TREATS] [TREATS Point] tambah voucher

got crash

#4 - 19 December 2022 04:57 PM - hsulynn pang

- File negative screnario v2.pptx added

Expected result:

Show 0 point and 0 quantity when the Total Treats balance is 0 or the total treats balance less than point

#5 - 19 December 2022 05:07 PM - ilham ilham

- Subject changed from Android [TREATS] [TREATS Point] tambah voucher got crash to Android [TREATS] [TREATS Miles] tambah voucher got

crash

#6 - 19 December 2022 05:18 PM - hsulynn pang

please handle this at flow via TNC Points as well

#7 - 19 December 2022 07:04 PM - hsulynn pang

- Subject changed from Android [TREATS] [TREATS Miles] tambah voucher got crash to Android [TREATS] [TREATS Point] tambah voucher got

crash

#8 - 20 December 2022 08:52 AM - hsulynn pang

- Assignee changed from Abdul Halim Baharom to Septi Gizka Tiara

#9 - 20 December 2022 10:28 AM - Septi Gizka Tiara

- Status changed from New to In Progress

#10 - 20 December 2022 12:50 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/61a2d60d1424361871eed6eed9b2b09e0c0

e1ee9?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#11 - 20 December 2022 02:01 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#12 - 20 December 2022 03:09 PM - hsulynn pang

- Status changed from Resolved to Closed

tested ok. The Tambah button is disabled when the total treats balance less than point

#13 - 20 December 2022 03:09 PM - hsulynn pang
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/61a2d60d1424361871eed6eed9b2b09e0c0e1ee9?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/61a2d60d1424361871eed6eed9b2b09e0c0e1ee9?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc


- File retest ii.jpeg added

- File retest i.jpeg added

Files

bandicam 2022-12-19 15-26-39-107.mp4 2.02 MB 19 December 2022 ilham ilham

negative screnario v2.pptx 443 KB 19 December 2022 hsulynn pang

retest ii.jpeg 32.1 KB 20 December 2022 hsulynn pang

retest i.jpeg 41.9 KB 20 December 2022 hsulynn pang
